<!DOCTYPE html>
<html lang="en">
<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta http-equiv="X-UA-Compatible" content="ie=edge">
   <title>Document</title>
   <link href="css/ejemplo.css" rel="stylesheet"/>
</head>
<body>
   <div class="caja-ejemplo">
      <div id="caja1" class="caja">Caja 1</div>
      <div id="caja2" class="caja">Caja 2</div>
   </div>

   <div class="caja-ejemplo">
      <div id="caja3" class="caja">Caja 3</div>
      <div id="caja4" class="caja">Caja 4</div>
   </div>

   <div class="caja-ejemplo">
      <div id="caja5" class="caja">Caja 5</div>
      <div style="clear:both">
         <button id="btnHola" type="button">Hola</button>
         <button id="btnMundo" type="button">Mundo</button>
      </div>
   </div>

   <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
   <script>
   $('#caja1').click(function(){
      $('#caja2').toggleClass("caja-roja");
   });

   $('#caja3').click(function(){
      $('#caja4').fadeToggle();
   });

   $('#btnHola').click(function(){
      //$('#caja5').html("<strong>Hola</strong>");
      //$('#caja5').html($('#caja5').html()+"<br/><strong>Hola</strong>");
      $('#caja5').html("Caja 5<br/><strong>Hola</strong>");
   });

   $('#btnMundo').click(function(){
      //$('#caja5').html("<strong>Mundo</strong>");
      //$('#caja5').html($('#caja5').html()+"<br/><strong>Mundo</strong>");
      $('#caja5').html("Caja 5<br/><strong>Mundo</strong>");
   });
   </script>
</body>
</html>
